Bug 746668 - 12.2 MS1 uses 12.1 repos
12.2 MS1 uses 12.1 repos
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 12.2
Classification: openSUSE
Component: YaST2
Factory
All SUSE Other
: P5 - None : Major (vote)
: ---
Assigned To: Stephan Kulow
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-13 10:01 UTC by Bernhard Wiedemann
Modified: 2012-07-10 20:35 UTC (History)
2 users (show)

See Also:
Found By: System Test
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Wiedemann 2012-02-13 10:01:07 UTC
after installing 12.2 MS1 from either LiveCDs or NET isos, it still uses 12.1 repos - thus offering possibly incompatible updates.

but /etc/products.d/ contains the correct entry
<url name="repository">http://download.opensuse.org/distribution/12.2/repo/oss/

bad repos are:

 5 | repo-debug                         | openSUSE-12.1-Debug                | No      | Yes     | http://download.opensuse.org/debug/distribution/12.1/repo/oss/                                               
 6 | repo-debug-update                  | openSUSE-12.1-Update-Debug         | No      | Yes     | http://download.opensuse.org/debug/update/12.1/                                                              
 7 | repo-non-oss                       | openSUSE-12.1-Non-Oss              | Yes     | Yes     | http://download.opensuse.org/distribution/12.1/repo/non-oss/                                                 
 8 | repo-oss                           | openSUSE-12.1-Oss                  | Yes     | Yes     | http://download.opensuse.org/distribution/12.1/repo/oss/                                                     
 9 | repo-source                        | openSUSE-12.1-Source               | No      | Yes     | http://download.opensuse.org/source/distribution/12.1/repo/oss/                                              
10 | repo-update                        | openSUSE-12.1-Update               | Yes     | Yes     | http://download.opensuse.org/update/12.1/
Comment 1 Bernhard Wiedemann 2012-02-13 10:03:56 UTC
I think, the outdated info comes from /etc/YaST2/control.xml which is part of openSUSE-release
Comment 2 Stephan Kulow 2012-02-13 10:12:35 UTC
it's in the yast2-installation SVN (or git)
Comment 3 Ursan Marius Bogdan 2012-02-13 11:17:36 UTC
If one would remove the 12.1 repo`s will that create problems ?
Comment 4 Bernhard Wiedemann 2012-02-13 13:00:22 UTC
This is an autogenerated message for OBS integration:
This bug (746668) was mentioned in
https://build.opensuse.org/request/show/104647 Factory / skelcd-control-openSUSE
Comment 5 Bernhard Wiedemann 2012-02-13 13:13:58 UTC
(In reply to comment #3)
> If one would remove the 12.1 repo`s will that create problems ?

you can just remove them, but if you want to install additional packages with yast or zypper, you should run
zypper ar http://download.opensuse.org/distribution/12.2/repo/oss/ openSUSE-12.2-Oss
Comment 6 Ursan Marius Bogdan 2012-02-13 13:29:01 UTC
Ok, i understand, thank you for your answers Bernhard.
Regarding the repo`s i have them both, oss and non-oss, that redirects to a factory-snapshot directory. 


creatura@creation:~> sudo zypper lr
# | Alias                              | Name                               | Enabled | Refresh
--+------------------------------------+------------------------------------+---------+--------
1 | Updates-for-openSUSE-12.2-12.2-1.5 | Updates for openSUSE 12.2 12.2-1.5 | Yes     | Yes    
2 | non-oss                            | openSUSE-12.2-12.2-1.5 non-oss     | Yes     | Yes    
3 | openSUSE-12.2-12.2-1.5             | openSUSE-12.2-12.2-1.5 oss         | Yes     | Yes    
creatura@creation:~>
Comment 7 Stephan Kulow 2012-07-10 20:35:31 UTC
this is changed now